Subject: [Asrg] Re: Asrg Digest, Vol 21, Issue 19

From: Douglas Campbell <[email-masked]>
Date: Tue, 31 Jan 2006 21:49:55 -0800

Claus Assman said:

>Do you change the header in a snail mail when it is forwarded?
>
>What will happen if the mail can't be delivered (after forwarding)?
>Do you want the bounce to end up on the forwarding system? Someone
>has to inform the "original" sender, right?
>  
>
I understand. The capability of  forwarding  to foreign addresses makes 
SPF nontrivial. 
Other posters' amplification of your snail mail comment above makes 
everything clear.
I had hopes for SPF but they've all been dashed to smithereens; I think 
I'll go drown
my sorrows in a bit of ice cream.

Your method of answering compacts a lot of information into a few 
words.  Thank you.

Now to handle the hot water your "man forward" suggestion got me into:

Bill Cole said,

>You have not done your research adequately. Sendmail remains the 
>dominant MTA and mail tool suite, while qmail is abandonware.
>  
>
Actually, I did my research very well.  Claus said "man forward"  I did 
that on my windows box
and got no answer (of course, that was unexpected because I thought I 
was in a putty window
when I typed the request).  I did it on my RHEL4 box and got no answer 
either, even as root.
That was unexpected, because I am a very happy sendmail user, am running 
a home-built
milter, installed the source rpm for sendmail, and hence should have 
every perk that comes
with that status.  So I did the google search and guess whose listings 
pop up on top?  qmail,
with sendmail a close second.   Since google ranks pages by references, 
qmail  appears to
outrank sendmail in popularity by the google thermometer.  Since I don't 
use qmail and have
no reason to, I had no idea it was abandonware.  Google certainly didn't 
think so.

>>forward under sendmail also states
>>nothing about modifications of the envelope and
>>headers; therefore I must assume that sendmail keeps
>>them intact.  But why?  I'm trying to understand
>>history, in an effort not to repeat it.
>>    
>>
>
>You would do well to do your research first rather than state what 
>you believe should be as if it is fact.
>
 
I stated an assumption; assumptions are hypotheses or axioms, not 
necessarily
fact.  Clearly I am asking in that paragraph for guidance.  Why the attack,
when both you and Claus attested to the verity of that assumption?

You are right, I could have done more research.  Since I have sendmail, 
I could
have configured an account, made it forward, sent it an e-mail, and observed
the results.  But I have here a team of experienced people who can discuss
the reasons for the things.  How things work is one thing; how they are
meant to work is another.

That's why we subscribe to this list -- to team up to find a way for
e-mail to be what it was meant to be, not what it has become.

Cheers,
Doug Campbell
------------------
In the time it took me to type this, 37 bounced spams arrived for
my postmaster.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg